Build #7 for git-monitor-2.0.1.1

[all reports]

Package git-monitor-2.0.1.1
Install DependencyFailed shelly-1.6.8.1
Docs NotTried
Tests NotTried
Time submitted 2016-12-20 17:51:33.361687 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies base-4.9.0.0, bytestring-0.10.8.1, containers-0.5.7.1, gitlib-3.1.1, gitlib-libgit2-3.1.1, hslogger-1.2.10, old-locale-1.0.0.7, optparse-applicative-0.13.0.0, shelly-1.6.8.1, system-fileio-0.3.16.3, system-filepath-0.4.13.4, text-1.2.2.1, time-1.6.0.1, transformers-0.5.2.0
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring ansi-terminal-0.6.2.3...
Configuring base16-bytestring-0.1.1.6...
Building ansi-terminal-0.6.2.3...
Building base16-bytestring-0.1.1.6...
Installed base16-bytestring-0.1.1.6
Configuring auto-update-0.1.4...
Building auto-update-0.1.4...
Installed ansi-terminal-0.6.2.3
Configuring base64-bytestring-1.0.0.1...
Building base64-bytestring-1.0.0.1...
Configuring bindings-DSL-1.0.23...
Installed auto-update-0.1.4
Building bindings-DSL-1.0.23...
Configuring bytestring-builder-0.10.8.1.0...
Installed bindings-DSL-1.0.23
Configuring easy-file-0.2.1...
Installed base64-bytestring-1.0.0.1
Building bytestring-builder-0.10.8.1.0...
Building easy-file-0.2.1...
Configuring cereal-0.5.4.0...
Installed bytestring-builder-0.10.8.1.0
Building cereal-0.5.4.0...
Configuring mtl-2.2.1...
Installed easy-file-0.2.1
Building mtl-2.2.1...
Configuring monad-loops-0.4.3...
Installed cereal-0.5.4.0
Building monad-loops-0.4.3...
Configuring network-2.6.3.1...
Installed mtl-2.2.1
Configuring old-locale-1.0.0.7...
Installed monad-loops-0.4.3
Building old-locale-1.0.0.7...
Building network-2.6.3.1...
Configuring primitive-0.6.1.0...
Installed old-locale-1.0.0.7
Building primitive-0.6.1.0...
Configuring semigroups-0.18.2...
Installed primitive-0.6.1.0
Building semigroups-0.18.2...
Configuring random-1.1...
Installed semigroups-0.18.2
Configuring stm-2.4.4.1...
Installed network-2.6.3.1
Building random-1.1...
Building stm-2.4.4.1...
Configuring split-0.2.3.1...
Installed stm-2.4.4.1
Configuring transformers-compat-0.5.1.4...
Installed random-1.1
Building split-0.2.3.1...
Building transformers-compat-0.5.1.4...
Configuring text-1.2.2.1...
Installed split-0.2.3.1
Configuring unix-compat-0.4.3.1...
Installed transformers-compat-0.5.1.4
Building text-1.2.2.1...
Building unix-compat-0.4.3.1...
Configuring zlib-0.6.1.2...
Installed unix-compat-0.4.3.1
Building zlib-0.6.1.2...
Configuring ansi-wl-pprint-0.6.7.3...
Installed zlib-0.6.1.2
Building ansi-wl-pprint-0.6.7.3...
Installed ansi-wl-pprint-0.6.7.3
Configuring old-time-1.1.0.3...
Building old-time-1.1.0.3...
Configuring hslogger-1.2.10...
Installed old-time-1.1.0.3
Configuring vector-0.11.0.0...
Installed text-1.2.2.1
Building hslogger-1.2.10...
Building vector-0.11.0.0...
Configuring async-2.1.1...
Installed hslogger-1.2.10
Building async-2.1.1...
Configuring mmorph-1.0.9...
Installed async-2.1.1
Building mmorph-1.0.9...
Configuring stm-chans-3.0.0.4...
Installed mmorph-1.0.9
Building stm-chans-3.0.0.4...
Configuring exceptions-0.8.3...
Installed stm-chans-3.0.0.4
Building exceptions-0.8.3...
Configuring transformers-base-0.4.4...
Installed exceptions-0.8.3
Building transformers-base-0.4.4...
Configuring tagged-0.8.5...
Installed transformers-base-0.4.4
Building tagged-0.8.5...
Configuring optparse-applicative-0.13.0.0...
Installed vector-0.11.0.0
Building optparse-applicative-0.13.0.0...
Configuring hlibgit2-0.18.0.15...
Installed tagged-0.8.5
Building hlibgit2-0.18.0.15...
Installed optparse-applicative-0.13.0.0
Configuring unix-time-0.3.7...
Building unix-time-0.3.7...
Configuring blaze-builder-0.4.0.2...
Installed unix-time-0.3.7
Building blaze-builder-0.4.0.2...
Configuring hashable-1.2.4.0...
Installed blaze-builder-0.4.0.2
Building hashable-1.2.4.0...
Configuring system-filepath-0.4.13.4...
Installed hashable-1.2.4.0
Building system-filepath-0.4.13.4...
Configuring monad-control-1.0.1.0...
Installed system-filepath-0.4.13.4
Building monad-control-1.0.1.0...
Configuring mwc-random-0.13.5.0...
Installed monad-control-1.0.1.0
Building mwc-random-0.13.5.0...
Configuring chunked-data-0.3.0...
Installed mwc-random-0.13.5.0
Building chunked-data-0.3.0...
Configuring text-icu-0.7.0.1...
Installed chunked-data-0.3.0
Building text-icu-0.7.0.1...
Configuring vector-algorithms-0.7.0.1...
Installed text-icu-0.7.0.1
Building vector-algorithms-0.7.0.1...
Installed vector-algorithms-0.7.0.1
Configuring fast-logger-2.4.7...
Building fast-logger-2.4.7...
Configuring streaming-commons-0.1.16...
Installed fast-logger-2.4.7
Building streaming-commons-0.1.16...
Configuring constraints-0.8...
Installed hlibgit2-0.18.0.15
Building constraints-0.8...
Configuring scientific-0.3.4.9...
Installed streaming-commons-0.1.16
Building scientific-0.3.4.9...
Configuring unordered-containers-0.2.7.1...
Installed scientific-0.3.4.9
Configuring void-0.7.1...
Installed constraints-0.8
Building unordered-containers-0.2.7.1...
Building void-0.7.1...
Configuring system-fileio-0.3.16.3...
Installed void-0.7.1
Building system-fileio-0.3.16.3...
Configuring lifted-base-0.2.3.8...
Installed system-fileio-0.3.16.3
Building lifted-base-0.2.3.8...
Installed lifted-base-0.2.3.8
Configuring enclosed-exceptions-1.0.2...
Configuring resourcet-1.1.9...
Installed unordered-containers-0.2.7.1
Building enclosed-exceptions-1.0.2...
Building resourcet-1.1.9...
Configuring lifted-async-0.9.0...
Installed enclosed-exceptions-1.0.2
Building lifted-async-0.9.0...
Configuring attoparsec-0.13.1.0...
Installed resourcet-1.1.9
Building attoparsec-0.13.1.0...
Installed lifted-async-0.9.0
Configuring mono-traversable-1.0.1...
Building mono-traversable-1.0.1...
Installed attoparsec-0.13.1.0
Configuring conduit-1.2.8...
Building conduit-1.2.8...
Configuring shelly-1.6.8.1...
Installed mono-traversable-1.0.1
Building shelly-1.6.8.1...
Installed conduit-1.2.8
Configuring cereal-conduit-0.7.3...
Building cereal-conduit-0.7.3...
Configuring conduit-extra-1.1.15...
Failed to install shelly-1.6.8.1
Build log ( /home/builder/.cabal/logs/shelly-1.6.8.1.log ):
cabal: Entering directory '/tmp/cabal-tmp-20297/shelly-1.6.8.1'
Configuring shelly-1.6.8.1...
Building shelly-1.6.8.1...
Preprocessing library shelly-1.6.8.1...
[1 of 6] Compiling Shelly.Base      ( src/Shelly/Base.hs, dist/build/Shelly/Base.o )

src/Shelly/Base.hs:39:1: warning: [-Wunused-imports]
    The import of ‘ProcessHandle’
    from module ‘System.Process’ is redundant

src/Shelly/Base.hs:42:1: warning: [-Wunused-imports]
    The import of ‘liftM’ from module ‘Control.Monad’ is redundant
[2 of 6] Compiling Shelly.Find      ( src/Shelly/Find.hs, dist/build/Shelly/Find.o )

src/Shelly/Find.hs:67:5: warning: [-Wname-shadowing]
    This binding for ‘traverse’ shadows the existing binding
      imported from ‘Prelude’ at src/Shelly/Find.hs:11:1-32
      (and originally defined in ‘Data.Traversable’)
[3 of 6] Compiling Shelly           ( src/Shelly.hs, dist/build/Shelly.o )

src/Shelly.hs:129:1: warning: [-Wunused-imports]
    The import of ‘Monoid’ from module ‘Data.Monoid’ is redundant

src/Shelly.hs:321:13: warning: [-Wunused-matches]
    Defined but not used: ‘fp’

src/Shelly.hs:376:5: warning: [-Wincomplete-patterns]
    Pattern match(es) are non-exhaustive
    In an equation for ‘toHandle’:
        Patterns not matched: (Just NoStream)
[4 of 6] Compiling Shelly.Lifted    ( src/Shelly/Lifted.hs, dist/build/Shelly/Lifted.o )

src/Shelly/Lifted.hs:104:1: warning: [-Wunused-imports]
    The import of ‘Data.Monoid’ is redundant
      except perhaps to import instances from ‘Data.Monoid’
    To import instances alone, use: import Data.Monoid()

src/Shelly/Lifted.hs:117:1: warning: [-Wdeprecations]
    Module ‘Control.Monad.Trans.Error’ is deprecated:
      Use Control.Monad.Trans.Except instead

src/Shelly/Lifted.hs:142:11: warning: [-Wdeprecations]
    In the use of type constructor or class ‘Error’
    (imported from Control.Monad.Trans.Error):
    Deprecated: "Use Control.Monad.Trans.Except instead"

src/Shelly/Lifted.hs:142:43: warning: [-Wdeprecations]
    In the use of type constructor or class ‘ErrorT’
    (imported from Control.Monad.Trans.Error):
    Deprecated: "Use Control.Monad.Trans.Except instead"

src/Shelly/Lifted.hs:143:16: warning: [-Wdeprecations]
    In the use of data constructor ‘ErrorT’
    (imported from Control.Monad.Trans.Error):
    Deprecated: "Use Control.Monad.Trans.Except instead"

src/Shelly/Lifted.hs:242:29: warning: [-Wdeprecations]
    In the use of type constructor or class ‘Error’
    (imported from Control.Monad.Trans.Error):
    Deprecated: "Use Control.Monad.Trans.Except instead"

src/Shelly/Lifted.hs:243:29: warning: [-Wdeprecations]
    In the use of type constructor or class ‘ErrorT’
    (imported from Control.Monad.Trans.Error):
    Deprecated: "Use Control.Monad.Trans.Except instead"

src/Shelly/Lifted.hs:244:18: warning: [-Wdeprecations]
    In the use of type constructor or class ‘ErrorT’
    (imported from Control.Monad.Trans.Error):
    Deprecated: "Use Control.Monad.Trans.Except instead"

src/Shelly/Lifted.hs:246:9: warning: [-Wdeprecations]
    In the use of data constructor ‘ErrorT’
    (imported from Control.Monad.Trans.Error):
    Deprecated: "Use Control.Monad.Trans.Except instead"

src/Shelly/Lifted.hs:247:41: warning: [-Wdeprecations]
    In the use of ‘runErrorT’
    (imported from Control.Monad.Trans.Error):
    Deprecated: "Use Control.Monad.Trans.Except instead"

src/Shelly/Lifted.hs:248:31: warning: [-Wdeprecations]
    In the use of data constructor ‘ErrorT’
    (imported from Control.Monad.Trans.Error):
    Deprecated: "Use Control.Monad.Trans.Except instead"
[5 of 6] Compiling Shelly.Pipe      ( src/Shelly/Pipe.hs, dist/build/Shelly/Pipe.o )

src/Shelly/Pipe.hs:122:1: error:
    • The default type ‘Text’ is not an instance of ‘Num’
    • When checking the types in a default declaration
cabal: Leaving directory '/tmp/cabal-tmp-20297/shelly-1.6.8.1'
Building conduit-extra-1.1.15...
Installed cereal-conduit-0.7.3
Installed conduit-extra-1.1.15
Configuring conduit-combinators-1.0.8.3...
Building conduit-combinators-1.0.8.3...
Installed conduit-combinators-1.0.8.3
Configuring gitlib-3.1.1...
Configuring stm-conduit-3.0.0...
Building gitlib-3.1.1...
Building stm-conduit-3.0.0...
Installed stm-conduit-3.0.0
Installed gitlib-3.1.1
Configuring gitlib-libgit2-3.1.1...
Building gitlib-libgit2-3.1.1...
Installed gitlib-libgit2-3.1.1
cabal: Error: some packages failed to install:
git-monitor-2.0.1.1 depends on shelly-1.6.8.1 which failed to install.
shelly-1.6.8.1 failed during the building phase. The exception was:
ExitFailure 1